-- new_window.sql

-- Create a new maintenance window
BEGIN
  dbms_scheduler.create_window(
                               window_name => 'EVENING_WINDOW',
                               duration => numtodsinterval(2, 'hour'),
                               resource_plan => 'DEFAULT_MAINTENANCE_PLAN',
                               repeat_interval => 'FREQ=DAILY; BYHOUR=20;BYMINUTE=0;BYSECOND=0');
END;
/

-- Assign the newly created window to the proper window group.
BEGIN
  dbms_scheduler.add_window_group_member(
                                         group_name => 'MAINTENANCE_WINDOW_GROUP',
                                         window_list => 'EVENING_WINDOW');
END;
/


